id: 16
createtime: 2023-09-29T13:42:03.91295598Z
name: app1.1.windup
addon: analyzer
data:
    mode:
        artifact: ""
        binary: false
        diva: false
        withDeps: false
    rules:
        labels:
            excluded: []
            included:
                - konveyor.io/target=cloud-readiness
        path: ""
        tags:
            excluded: []
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: false
    sources: []
    tagger:
        enabled: true
    targets: []
application:
    id: 1
    name: app1
state: Succeeded
image: registry.redhat.io/redhat-mta-mta-analyzer-addon-rhel9@sha256:2e62c128a120412b8f74b247458c629a2be6a7d9e321b2af64803e36f46a5126
pod: openshift-mta/task-16-qt4qn
started: 2023-09-29T13:42:04.517939967Z
terminated: 2023-09-29T13:43:32.215508467Z
bucket:
    id: 30
    name: ""
activity:
    - Fetching application.
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '[CMD] succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Cloning: https://github.com/WASdev/sample.daytrader7'
    - '[GIT] Using credentials (id=1) source.'
    - '[FILE] Created /addon/.gitconfig.'
    - '[FILE] Created /addon/.git-credentials.'
    - '[CMD] Running: /usr/bin/git clone https://github.com/WASdev/sample.daytrader7 /addon/source/sample'
    - '[CMD] succeeded.'
    - '[MVN] Using credentials (id=3) maven.'
    - '[RULESET] fetching: id=1 (.discovery)'
    - '[RULESET] fetching: id=17 (openshift)'
    - '[RULESET] fetching (dep): id=21 (.technology-usage)'
    - '[CMD] Running: /usr/bin/windup-shim convert --outputdir /addon/rules/converted /addon/rules'
    - '[CMD] succeeded.'
    - 'Settings: /addon/opt/settings.json'
    - '> - name: go'
    - '>   binaryPath: /usr/bin/generic-external-provider'
    - '>   initConfig:'
    - '>   - location: /addon/source/sample'
    - '>     analysisMode: full'
    - '>     providerSpecificConfig:'
    - '>       dependencyProviderPath: /usr/bin/golang-dependency-provider'
    - '>       lspServerPath: /root/go/bin/gopls'
    - '>       name: go'
    - '> - name: java'
    - '>   binaryPath: /jdtls/bin/jdtls'
    - '>   initConfig:'
    - '>   - location: /addon/source/sample'
    - '>     analysisMode: source-only'
    - '>     providerSpecificConfig:'
    - '>       bundles: /jdtls/java-analyzer-bundle/java-analyzer-bundle.core/target/java-analyzer-bundle.core.jar'
    - '>       depOpenSourceLabelsFile: /usr/local/etc/maven.default.index'
    - '>       lspServerPath: /jdtls/bin/jdtls'
    - '> - name: builtin'
    - '>   initConfig:'
    - '>   - location: /addon/source/sample'
    - '>     analysisMode: ""'
    - '> '
    - '[CMD] Running: /usr/bin/konveyor-analyzer --provider-settings /addon/opt/settings.json --output-file /addon/report.yaml --no-dependency-rules --rules /addon/rules/rulesets/1/rules --rules /addon/rules/rulesets/17/rules --rules /addon/rules/rulesets/21/rules --rules /addon/rules/converted --label-selector (phase=PostMigrationRulesPhase||konveyor.io/target=cloud-readiness) --dep-label-selector !konveyor.io/dep-source=open-source'
    - '[CMD] succeeded.'
    - '[CMD] Running: /usr/bin/konveyor-analyzer-dep --provider-settings /addon/opt/settings.json --output-file /addon/deps.yaml'
    - '[CMD] succeeded.'
    - 'Analysis reported. duration: 73.355595ms'
    - '[TAG] Tagging Application 1.'
    - Facts updated.
    - Done.
